@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100..900;1,100..900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Atma:wght@300;400;500;600;700&display=swap');

html {
     scroll-behavior: smooth;
     overflow-x: hidden;
     max-width: 100%;
}
 * {
     box-sizing: border-box;
     max-width: 100%;
}
 body {
     display: flex;
     flex-direction: column;
     overflow-x: hidden;
     overflow-y: hidden;
     margin: 0;
     max-width: 100%;
     background-image: url("/img/background.jpg");
     background-repeat: repeat;
     background-size: contain;
}


.navbar
{
     display: flex;
     flex-direction: row;
     width: 100%;
     align-items: center;
     padding: 1rem 0rem;
     letter-spacing: 1px;
     background-color: transparent;
     font-family: "roboto";
     font-weight: 400;
     position: fixed;
     z-index: 10;
     font-style: normal;
     transition: 250ms;
     justify-content: space-around;
     transition: background-color 0.3s ease;
}



.navbar ul
{
     flex-direction: row;
}
.nav-right ul
{    
     list-style: none;
     gap: 25px;
     display: flex;
     flex-direction: row;
}
.navbar a
{    
     color: white;
     text-decoration: none;
     transition: 250ms;
}
.navbar a:hover
{
     color: #6e8beb;
     transition: 250ms;
}

.nav-left img
{
     width:200px;
}
.navbar.scrolled {
     background-color: white;
     transition: background-color 0.3s ease;
     box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.4);
     color: black;
   }
.navbar.inverted a
{
     color: black;
}
.navbar.inverted a:hover
{
     color: #4b68c7;
}
.navbar.inverted img
{
     filter: invert(1);
}

/* Skrytí navbaru na větších zařízeních */
.navbar-mobile {
     display: none;
 }

 #nav-menu
 {
     position: fixed;
     display: flex;
     flex-direction: column;
     top: 0;
     right: -880px; /* Menu je původně skryté mimo obrazovku */
     width: 250px;
     min-height: 100%;
     background-color: white;
     transition: right 0.3s ease-in-out; /* Přechod animace */
 }
 
 /* Zobrazení navbaru pouze na mobilních zařízeních */
 @media (max-width: 768px) {
     .navbar-mobile {
         display: flex;
         position: fixed;
         width: 100%;
         top: 0;
         justify-content: space-between;
         align-items: center;
         padding: 10px 20px;
         background-color: transparent;
         transition: top 0.3s ease-in-out; /* Smooth transition */
         z-index: 1000;
         transition: 250ms;
     }
     .navbar-mobile.scrolled
     {
          transition: 250ms;
          background-color: white;
     }
     .navbar-mobile.scrolled img
     {
          filter: invert(1);
     }
     .navbar-mobile.scrolled #bars
     {
          filter: invert(1);
     }
     .scrolled
     {
          color: black;
     }

     #navbar-mobile.hidden {
          top: -150px; /* Adjust the value based on your navbar height */
      }
     .nav-left img
     {
         width: 180px;
     }
     .navbar
     {
          display: none;
     }
     .hamburger {
         display: block;
         font-size: 24px;
         cursor: pointer;
         color: white;
     }
     .hamburger i
     {
          font-size: 28px;
     }
     #nav-menu
     {
          transition: 250ms;
          z-index: 0;
         transform: translateX(0px);    
     }
     .nav-right {
          position: absolute;
          top: 60px;
          width: 100%;
          background: white;
          z-index: 0;
          text-align: center;
          box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.1);
          overflow: hidden;
          transition: max-height 0.3s ease-in-out;
      }
      #nav-menu.active {
          right:0; /* Menu se posune na správnou pozici */
          top: 0px;
          z-index: 0;
      }
      
      #nav-menu ul {
          margin-top: 100px;
          padding: 20px;
          list-style-type: none;
          display: flex;
          flex-direction: column;
          z-index: 0;
      }
      
      #cross
      {
          position: absolute;
          left: 20px;
          top: 20px;
          font-size: 18px;
          color: black;
      }
      #nav-menu li
      {
          padding-bottom: 30px;
          border-bottom: 1px solid black;
      }
      #nav-menu ul li a {
          color: black;
          font-weight: 600;
          text-decoration: none;
          font-size: 18px;
          font-family: "Montserrat", system-ui;
      }
      .nav-right.active {
          max-height: 300px; /* Nastav výšku dostatečně velkou pro zobrazení obsahu */
      }
  
      .nav-right ul {
          list-style: none;
          padding: 0;
      }
  
      .nav-right ul li {
          padding: 10px 0;
      }
  
      .nav-right ul li a {
          text-decoration: none;
          color: black;
          font-size: 16px;
      }
  
      .nav-right ul li.social a {
          font-size: 20px;
      }
 }
.header
{    
     background-image: linear-gradient(rgba(0, 0, 0, 0.7), rgba(0, 0, 0, 0.7)), url("img/unnamed.jpg");
     background-size: cover;
     background-position-y: -650px;
     height: 800px;
     display: flex;
     flex-direction: column;
     position: relative;
     justify-content: center;
     align-items: center;
}

.header img
{    
     width: 300px;
}
.header h1
{
     color: white;
     font-family: "Atma", system-ui;
     display: flex;
     font-size: 42px;
     margin: 0;
     font-weight: 600;
     text-align: center;
     justify-content: center;
}
.header h2
{    
     display: flex;
     justify-content: center;
     color: white;
     margin-top: 0;
     font-family: "Atma", system-ui;
     font-weight: 100;
}
@media screen and (max-width: 768px) 
{
     .header
     {
          height: 900px;
          background-position-y: 0px;
     }
     .header img
     {    
          width: 250px;
     }
     
}
.open-hours
{
     position: relative;
     padding: 5rem 0rem;
     display: flex;
     justify-content: center;
     gap: 250px;
     align-items: center;
}
#bg-train
{
     position: absolute;
     width: 1000px;
     height: 250px;
     left: 50%;
     transform: translateX(-50%);
     bottom: 0px;
}
@media screen and (max-width: 768px) 
{
     #bg-train
{
     position: absolute;
     width: 100%;
     height: 120px;
     left: 50%;
     transform: translateX(-50%);
     bottom: -20px;
}
}
.open-hours h2
{
     font-family: "Atma", system-ui;
     font-size: 70px;
     text-align: center;
     color: #1d2951;
}
table {
     width: 100%;
     border-collapse: collapse;
     background: white;

 }
 th, td {
     padding: 15px;
     text-align: center;
     font-family: "Atma", system-ui;
 }
 td
 {
     border-bottom: 1px solid #1d2951;
 }
 th {
     background: #1d2951;
     color: white;
     font-weight: 500;
     border-top-left-radius: 25px;
     border-bottom-right-radius: 25px;
 }

 .menicka
{
     display: flex;
     justify-content: center;
     align-items: center;
     flex-direction: column;
     padding: 5rem 0rem;
     flex-wrap: wrap;
}

.menu
{
     display: flex;
     align-items: center;
     flex-direction: row-reverse;
}
.menicka img
{    
     width: 40px;
     position: absolute;
     bottom: 10px;
     margin-left: 15px;
}
.menicka h2
{
     font-family: "Atma", system-ui;
     font-weight: 500;
     position: relative;
     text-align: center;
     font-size: 32px;
}
.menicka a
{
     color: #1d2951;
}
.menicka h3
{
     font-family: "Atma", system-ui;
     font-weight: 500;
     margin: 0;
     text-align: center;
     font-size: 22px;
}
.akce
{
     display: flex;
     flex-direction: row-reverse;
     align-items: center;
     padding: 5rem 0px;
     flex-wrap: wrap;
     justify-content: space-evenly;
     width: 100%;
  
}
.akce-right h2
{
     font-family: "Atma", system-ui;
     font-size: 42px;
     color: #1d2951;
}
.akce-right p
{
     font-family: "Atma", system-ui;
     font-size: 22px;
}

.akce-right
{
     width: 20%;
}


.slider-container {
     position: relative;
     width: 450px;
     margin: auto;
     overflow: hidden;
     border-radius: 10px; /* Zaoblení rohů pro lepší vzhled */
 }
 .slider {
     display: flex;
     transition: transform 0.5s ease-in-out;
 }
 .slide {
     min-width: 100%;
     transition: opacity 1s ease-in-out;
 }
 .slider-container img {
     width: 100%;
     height: 600px;
     display: block;
 }
 .nav-button {
     position: absolute;
     top: 50%;
     transform: translateY(-50%);
     background-color: rgba(0, 0, 0, 0.5);
     color: white;
     border: none;
     padding: 10px;
     cursor: pointer;
 }
 .prev {
     left: 0;
 }
 .next {
     right: 0;
 }
 @media screen and (max-width: 768px) {
     .akce
{
     text-align: center;
     width: 100%;
     flex-direction: column-reverse;
}

.akce-right h2
     {
          font-family: "Atma", system-ui;
          font-size: 42px;
          color: #1d2951;
     }
.akce-right p
     {
          font-family: "Atma", system-ui;
          font-size: 22px;
     }
.akce-right
     {
          width: 90%;
     }
.slider-container {
          position: relative;
          width: 90%;
          height: 450px;
      }
.slider-container img {
          width: 100%;
          height: 100%;
          display: block;
      }
}


.recenze-slide {
     position: relative;
     width: 100%;
     height: 100vh;
     align-content: center;
     background-color: transparent;
}
 .recenze {
     width: 70%;
     overflow: hidden;
     justify-content: center;
     align-items: center;
     padding: 50px 0px;
     height: 100vh;
     margin: auto;
     display: flex;
     flex-direction: column;
}
 .recenze-content {
     max-width: 100%;
     display: flex;
     transition: transform 0.5s cubic-bezier(0.25, 0.8, 0.25, 1);
}
 .recenze h2 {
     display: flex;
     font-family: "Atma", system-ui;
     color: #1d2951;
     font-weight: 500;
     font-size: 52px;
     font-style: normal;
}
 .recenze-column {
     display: flex;
     position: relative;
     justify-content: center;
     align-items: center;
     width: 400px;
     flex: 0 0 calc(33.333% - 20px);
     height: 400px;
     margin: 10px;
     font-family: "Atma", system-ui;
     font-size: 18px;
     font-weight: 400;
     margin-top: 3rem;
     background-color:#2b3a6d;
     text-align: center;
     padding:15px 50px;
     border-radius: 25px;
     flex-direction: column;
     opacity: 1;
     transition: opacity 0.5s ease;
}
 .recenze-column.fade-out {
     opacity: 0;
}
 .recenze-column p {
     color: white;
     margin: 0px 0px 30px 0px;
}
 .recenze-column h3 {
     color: white;
     font-family: "Atma", system-ui;
     font-size: 20px;
     margin-top: 30px;
}
 .rating img {
     width: 25px;
}
 #recenze-profileimg {
     position: absolute;
     top: -35px;
     width: 60px;
     border-radius: 100%;
}
 .slider-controls {
     position: absolute;
     top:60%;
     width: 100%;
     display: flex;
     justify-content: space-between;
     transform: translateY(-50%);
}
 .slider-controls button {
     background:#4b68c7;
     color: white;
     border: none;
     padding: 5px 10px;
     cursor: pointer;
     border-radius: 5px;
}
 .slider-controls button:hover {
     background:#4b68c7;
}
 #prev-slide {
     position: absolute;
     left: 10px;
}
 #next-slide {
     position: absolute;
     right: 10px;
}
 .recenze a {
     text-align: center;
     width: fit-content;
     display: flex;
     align-self: center;
     font-family: "Urbanist";
     font-weight: 600;
     padding-top: 50px;
     color: #554023;
}
 @media (max-width: 1130px) {
     .recenze-column {
         flex: 0 0 calc(100% - 20px);
    }
     .recenze a {
         padding: 0;
    }
     .recenze {
         width: 80%;
    }
}


.history
{
     display: flex;
     flex-direction: row;
     justify-content: space-between;
     flex-wrap: wrap;
     align-items: center;
}
.history-right
{
     width: 40%;
}
.history-right h2
{
     font-family: "Atma", system-ui;
     font-size: 42px;
     color: #1d2951;
}
.history-right p
{
     width: 70%;
     font-family: "Atma", system-ui;
     font-size: 22px;
}
.history-right strong
{
     font-weight: 500;
     color: #2b3a6d;
     font-family: "Atma", system-ui;
     font-size: 22px;
}
@media screen and (max-width: 768px) 
{
.history-right 
{
     text-align: center;
     align-content: center;
     width: 100%;
}
.history-right p
{
     text-align: center;
     width: 100%;
     padding: 0px 30px;
     font-size: 18px;
}
.history-right strong
{
     font-weight: 500;
     color: #2b3a6d;
     font-family: "Atma", system-ui;
     font-size:18px;
}

}

.taxi
{
     display: flex;
     flex-direction: column;
     align-items: center;
     padding: 10rem 10px;
     position: relative;
}
#taxi-img
{
     position: absolute;
     width: 300px;
     bottom: 100px;
     left: 50%;
     transform: translateX(-100%);
}
.taxi-left h2
{
     font-family: "Atma", system-ui;
     font-size: 52px;
     transform: rotate(-10deg);
     color: #1d2951;
}
.taxi-right
{
     font-family: "Atma", system-ui;
     font-size: 22px;
     width: 25%;
}
@media screen and (max-width: 768px) 
{
     .taxi
{
     display: flex;
     flex-direction: column;
     align-items: center;
     padding: 10rem 10px;
     position: relative;
}
.taxi-right
{
     font-family: "Atma", system-ui;
     font-size: 22px;
     width: 100%;
}
#taxi-img
{
     position: absolute;
     width: 300px;
     bottom: 0px;
     
     left: 95%;
}
}
.foodora
{    
     padding: 5rem 30px;
     display: flex;
     flex-direction: row-reverse;
     align-items: center;
     justify-content: space-evenly;
}
.foodora a
{
     color: #1d2951;
}
.foodora-right img
{
    width: 400px;
    transform: rotate(10deg);
}
.foodora-left h2
{
    font-size: 52px;
    text-align: center;
    color: #2b3a6d;
    font-family: "Atma", system-ui;
    transform: rotate(-10deg);
}
@media screen and (max-width: 768px) 
{
.foodora-left h2
{
    font-size: 40px;
}
}
.contact
{
     display: flex;
     flex-direction: row;
     width: 100%;
     flex-wrap: wrap;
     padding: 100px 0px;
     justify-content: space-evenly;
}
.contact-left
{
     display: flex;
     flex-direction: column;
     gap: 25px;
     margin-top: 50px;
}
.contact-left h2
{
     font-family: "Atma", system-ui;
     font-size: 42px;
     font-weight: 600;
     color: #1d2951;
}
.contact-left strong
{
     font-family: "Atma", system-ui;
     font-size: 18px;
     color: #2b3a6d;
     font-weight: 500;
}
.contact-left a
{
     color: #1d2951;
}
.contact-left i
{
     padding-right: 20px;
}
.contact-right iframe
{
     margin-top: 100px;
     width: 400px;
     height: 300px;
}



.accommodation {
     margin: 0 auto;
     background-color: #fff;
     padding: 20px;
     margin-top: 150px;
     font-family: "Atma", system-ui;
     border-radius: 8px;
 }
 
 .accommodation h1 {
     text-align: center;
     color: #1d2951;
     font-size: 2.5rem;
     font-family: "Atma", system-ui;
 }
 
 .accommodation h2, .accommodation h3 {
     color: #333;
     font-family: "Atma", system-ui;
 }
 
 .room-prices table {
     width: 100%;
     margin: 20px 0;
     border-collapse: collapse;
 }
 
 .room-prices th, .room-prices td {
     padding: 10px;
     text-align: left;
 }
 
 .room-prices th {
     background-color: #1d2951;
     color: white;
 }
 
 .note {
     font-style: italic;
     color: #666;
     margin-top: 10px;
     font-family: "Atma", system-ui;
 }
 
 .discount, .contact {
     margin-top: 20px;
     font-family: "Atma", system-ui;
 }
 
 .discount h3, .contact h3 {
     color: #1d2951;
     font-family: "Atma", system-ui;
 }
 
 .rezervace p {
     font-size: 1.2rem;
     font-weight: bold;
     font-weight: 500;
     font-family: "Atma", system-ui;
 }
 
 .rezervace strong {
     color: #E53935;
     font-weight: 600;
 }


.footer
{
     height: 300px;
     width: 100%;
     display: flex;
     justify-content: center;
     gap: 100px;
     padding: 0rem 2rem;
     align-items: center;
     background-color: #1d2951;
}

.footer-left img
{
     width: 250px;
     display: flex;
}

.footer-right li, .footer-right a, .footer-right ul
{
     display: flex;
     flex-direction: column;
     list-style: none;
     gap: 10px;
     padding: 0;
     margin-right: 50px;
     font-family: "Atma", system-ui;
     text-decoration: none;
     text-align: center;
     color: white;
}

.footer-right a:hover
{
     text-decoration: underline;
     color: #d3ddff;
}

#facebook i, #facebook
{
     list-style: none;
     color: white;
     font-size: 28px;
}
@media screen and (max-width: 768px) 
{

     .open-hours
     {
          flex-direction: column;
          gap: 20px;
     }
     .open-hours h2
     {
         font-size: 50px;
     }
     .contact
     {
          display: flex;
          flex-direction: column;
          justify-content: center;
          align-items: center;
          padding: 5rem 2rem;
     }
     .footer
     {
          display: flex;
          flex-direction: column;
          gap: 40px;
          height: fit-content;
          padding: 2rem 2rem;
     }
     .footer-right li, .footer-right a, .footer-right ul
     {
          margin: 0;
     }

}
.creator
{
     background-color: #1d2951;
     display: flex;
     justify-content: center;
     padding: 2rem;
}
.creator p, .creator a
{
     color: #b1c3ff;
     margin: 0;
     font-family: "roboto";
}